require "./Maps/globals.lua"



function NPC_Load( THIS_NPC )

	TTX_SetNpcName(THIS_NPC, "Celia");

	TTX_SetNpcTriad(THIS_NPC, false);

	TTX_SetNpcTalk(THIS_NPC, false);

	TTX_PositionNpc(THIS_NPC, 36, 16);

	TTX_SetNpcSprite(THIS_NPC, "BH Lady.png");

	TTX_SetNpcDirection(THIS_NPC, ND_DOWN);

	return 0;

end

function NPC_InteractionBegin( THIS_NPC )

	TTX_ClearNpcIntroText(THIS_NPC);

	TTX_ClearNpcTalkText(THIS_NPC);
	

	if (TTX_GetItemAmount("Triple Triad Gear") ~= 1) then

		TTX_AddNpcIntroLine(THIS_NPC, "Sorry kid, this shop is for Triple Triad players and I see you don't even have any Triple Triad Gear.");

		TTX_AddNpcIntroLine(THIS_NPC, "Come back if you ever seriously take up the game.");

		

	else

		if (TTX_GetItemAmount("Jessie\'s Badge") ~= 1) then	

			TTX_AddNpcIntroLine(THIS_NPC, "Got yourself some Triple Triad Gear did ya?");

			TTX_AddNpcIntroLine(THIS_NPC, "Very well, but you're still an amateur so only my basic stock is availiable to you.");

						

			TTX_SetNpcShopStatus(THIS_NPC, true, true, false, false, 1, 3);

			TTX_SetNpcShopText(THIS_NPC, "Celia", "Beginners only get to see my basic stock - only serious players get the top stuff.");

		else

			if (TTX_GetItemAmount("Rikku\'s Badge") ~= 1) then

				TTX_AddNpcIntroLine(THIS_NPC, "Beat Jessie did you?  Not bad for an amateur!  Try and beat her sister though...");

				TTX_AddNpcIntroLine(THIS_NPC, "I guess I can let you look at some of my better stock now.");

				

				TTX_SetNpcShopStatus(THIS_NPC, true, true, false, true, 1, 5);

				TTX_SetNpcShopText(THIS_NPC, "Celia", "Now selling level 5 cards and backgrounds. You still aint ready for the best stuff..");				
				
			else

			
				if (TTX_GetItemAmount("Celia\'s Letter") ~= 1) then
					TTX_AddNpcIntroLine(THIS_NPC, "You've beaten Rikku?  There is more to you than meets the eye kiddo.");
					TTX_AddNpcIntroLine(THIS_NPC, "Third sister?  No idea.. Hey check it, I have some better stock for you to look at!");
					

					TTX_SetNpcShopStatus(THIS_NPC, true, true, true, true, 1, 6);
					TTX_SetNpcShopText(THIS_NPC, "Celia", "Level 6 cards and game boards now selling.  No, never heard of a 3rd sister...");
				else

					if (TTX_GetItemAmount("Celia\'s Badge") ~= 1) then

						if (TTX_GetBool("CELIA_FIRSTCHALLENGE") == true) then
							TTX_AddNpcIntroLine(THIS_NPC, "What?!  How did you know I was the third sister?!");
							TTX_AddNpcIntroLine(THIS_NPC, "You went through my sister's stuff?  Good grief, how rude!  I blame computer games..");
							TTX_AddNpcIntroLine(THIS_NPC, "Very well.  You have beaten both my sisters so I guess you might be fun to fight..");
							TTX_AddNpcIntroLine(THIS_NPC, "Beat me and I will give you my badge as a trophy and access to my best stock.");
							

							TTX_SetNpcShopStatus(THIS_NPC, true, true, true, true, 1, 6);
							TTX_SetNpcShopText(THIS_NPC, "Celia", "If you beat me I will show you my best stock...");
							

							TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE or RULE_PLUS or RULE_ELEMENTAL, 4, 7);							
							TTX_SetNpcTriad(THIS_NPC, true);
							

							TTX_SetBool("CELIA_FIRSTCHALLENGE", false);
						else

							TTX_AddNpcIntroLine(THIS_NPC, "Heh heh, did ya come back for another try kiddo?");
													
							TTX_SetNpcShopStatus(THIS_NPC, true, true, true, true, 1, 6);
							TTX_SetNpcShopText(THIS_NPC, "Celia", "If you beat me I will show you my best stock...");
							

							TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE or RULE_PLUS or RULE_ELEMENTAL, 4, 7);							
							TTX_SetNpcTriad(THIS_NPC, true);
						end

					else 

						TTX_AddNpcIntroLine(THIS_NPC, "Damn, you beat me.. but it was a totally enjoyable game! \3");
						TTX_AddNpcIntroLine(THIS_NPC, "Okay kiddo, you've earned this.  My best cards are now availiable.");
							

						TTX_SetNpcShopStatus(THIS_NPC, true, true, true, true, 1, 7);

						TTX_SetNpcShopText(THIS_NPC, "Celia", "Up to level 10 cards actually exist, but it's very rare to find them in shops.");
						TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE or RULE_PLUS or RULE_ELEMENTAL, 4, 7);						

						TTX_SetNpcTriad(THIS_NPC, true);
						TTX_SetNpcTalk(THIS_NPC, true);

						TTX_AddNpcTalkLine(THIS_NPC, "Although my identity as Jessie's and Rikku's sister is a secret in the village, anyone whos anyone in the Triple Triad circles knows who I am.");
						TTX_AddNpcTalkLine(THIS_NPC, "I keep it a secret so I don't get bothered by fans..");
						TTX_AddNpcTalkLine(THIS_NPC, "Show my badge to the tournament registration clerk and he'll know who you've beaten and let you sign up.  Good luck kiddo.");

					end

				end			

			end

			

		end

	end	

	

	return 0;

end

function NPC_InteractionEnd( THIS_NPC )

	if (TTX_GetItemAmount("Celia\'s Badge") ~= 1) then			

		

		if (TTX_NpcLostTriad(THIS_NPC) == true) then

			TTX_GivePlayerItem("Celia\'s Badge", 1);

			TTX_SetGlobalMessage("You Received \"Celia\'s Badge\"!", 5000);

		end

	end

	return 0;

end


