require "./Maps/globals.lua"



function NPC_Load( THIS_NPC )

	TTX_SetNpcName(THIS_NPC, "Rikku");

	TTX_SetNpcTriad(THIS_NPC, false);

	TTX_SetNpcTalk(THIS_NPC, false);

	TTX_PositionNpc(THIS_NPC, 2, 51);

	TTX_SetNpcSprite(THIS_NPC, "BH Lady.png");

	
	if (TTX_GetItemAmount("Rikku\'s Badge") ~= 1) then
		TTX_SetNpcDirection(THIS_NPC, ND_RIGHT);

	else
		TTX_SetNpcDirection(THIS_NPC, ND_LEFT);
	end
	
	return 0;

end


function NPC_InteractionBegin( THIS_NPC )

	TTX_ClearNpcIntroText(THIS_NPC);

	

	if (TTX_GetItemAmount("Triple Triad Gear") ~= 1) then

		TTX_AddNpcIntroLine(THIS_NPC, "Heh, you don't even have any Triple Triad Gear.");

		TTX_AddNpcIntroLine(THIS_NPC, "I'm not interested in anyone who can't play Triple Triad.  Go away.");		

		

		TTX_SetNpcTriad(THIS_NPC, false);

	else

		if (TTX_GetItemAmount("Jessie\'s Badge") ~= 1) then	

			TTX_AddNpcIntroLine(THIS_NPC, "Pah, you don't look like championship material to me.");

			TTX_AddNpcIntroLine(THIS_NPC, "Do not waste my time.  If you want to challenge me then beat my sister, Jessie, in the Triple Triad Guild.");



			TTX_SetNpcTriad(THIS_NPC, false);			

		else

			if (TTX_GetItemAmount("Rikku\'s Badge") ~= 1) then

				TTX_AddNpcIntroLine(THIS_NPC, "So you beat Jessie did you?  Hah..");

				TTX_AddNpcIntroLine(THIS_NPC, "The crowd likes her, but shes really just an amatuer.  Come on, lets play for real.");

				TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE or RULE_PLUS, 3, 5);

				TTX_SetNpcTriad(THIS_NPC, true);

			else

				TTX_AddNpcIntroLine(THIS_NPC, "I cannot belive you actually beat me!!");

				TTX_AddNpcIntroLine(THIS_NPC, "Beginners luck!  Lets go again, now!  I won't hold back this time!");

				

				TTX_SetNpcTriadData(THIS_NPC, "FF8Original", RULE_ONE or RULE_PLUS, 4, 6);

				TTX_SetNpcTriad(THIS_NPC, true);

			end

		end

	end	

	

	return 0;

end


function NPC_InteractionEnd( THIS_NPC )

	if (TTX_GetItemAmount("Rikku\'s Badge") ~= 1) then			

		

		if (TTX_NpcLostTriad(THIS_NPC) == true) then

			TTX_GivePlayerItem("Rikku\'s Badge", 1);

			
			TTX_SetNpcDirection(THIS_NPC, ND_LEFT);
			
			TTX_ClearGlobalChatText();
			TTX_SetGlobalChatName(" ");
			TTX_AddGlobalChatLine("Aw, Rikku appears to be sulking after that defeat..");
			TTX_AddGlobalChatLine("Maybe I can get into her house now..?");
			TTX_SetGlobalChatActive();
			
			TTX_SetGlobalMessage("You Received \"Rikku\'s Badge\"!", 5000);

		end

	end

	return 0;

end


