require "./Maps/globals.lua"

function NPC_Load( THIS_NPC )
	TTX_SetNpcName(THIS_NPC, "Mother");
	TTX_SetNpcTriad(THIS_NPC, false);
	TTX_SetNpcTalk(THIS_NPC, true);
	TTX_PositionNpc(THIS_NPC, 13, 4);
	TTX_SetNpcSprite(THIS_NPC, "BH Lady.png");
	TTX_SetNpcDirection(THIS_NPC, ND_UP);
	TTX_EnableNpcInteractionMenu(THIS_NPC, true);
	
	return 0;
end

function NPC_InteractionBegin( THIS_NPC )

	TTX_ClearNpcIntroText(THIS_NPC);
	TTX_ClearNpcTalkText(THIS_NPC);
	
	if (TTX_GetBool("TALKEDMOTHER") == false) then
		TTX_AddNpcIntroLine(THIS_NPC, "Good morning dear!");
		TTX_AddNpcIntroLine(THIS_NPC, "You remember the promise you made about today, right?");
		TTX_AddNpcIntroLine(THIS_NPC, "It's no good you lazing around anymore, you need to earn us some money!");
		TTX_AddNpcIntroLine(THIS_NPC, "You have a real talent for Triple Triad so why not try and enter the official tournament coming up?");
		TTX_AddNpcIntroLine(THIS_NPC, "Mind you, only the best are allowed to enter so you will have to find some way to proove yourself.");
		TTX_AddNpcIntroLine(THIS_NPC, "..you don't even have your Triple Triad gear on you?  You can't play without it!  I bet it's at Jerome's house.");
		TTX_AddNpcIntroLine(THIS_NPC, "Go head to his house in the North West of town to pick it up.");
		
		TTX_AddNpcTalkLine(THIS_NPC, "I heard tale of three sisters in our town who are supposed to be pretty big in the official Triple Triad circles.");
		TTX_AddNpcTalkLine(THIS_NPC, "I bet if you could beat all 3 and bring proof to the tournament officials then they would let you join...");
		TTX_AddNpcTalkLine(THIS_NPC, "But I have no idea who the three sisters are.  I would start searching in the Triple Triad guild, when you've got your gear that is!");
		
		
		TTX_SetBool("TALKEDMOTHER", true);
	else
		
		if (TTX_GetItemAmount("Triple Triad Gear") ~= 1) then
			TTX_AddNpcIntroLine(THIS_NPC, "Head to Jerome's house in the North West to collect your Triple Triad Gear.");
			TTX_AddNpcIntroLine(THIS_NPC, "Say hi to his mother for me whilst you are there!");
			
			TTX_AddNpcTalkLine(THIS_NPC, "I heard tale of three sisters in our town who are supposed to be pretty big in the official Triple Triad circles.");
			TTX_AddNpcTalkLine(THIS_NPC, "I bet if you could beat all 3 and bring proof to the tournament officials then they would let you join...");
			TTX_AddNpcTalkLine(THIS_NPC, "But I have no idea who the three sisters are.  I would start searching in the Triple Triad guild, when you've got your gear that is!");		
		else
			
			TTX_AddNpcTalkLine(THIS_NPC, "I heard tale of three sisters in our town who are supposed to be pretty big in the official Triple Triad circles.");
			TTX_AddNpcTalkLine(THIS_NPC, "I bet if you could beat all 3 and bring proof to the tournament officials then they would let you join...");
			TTX_AddNpcTalkLine(THIS_NPC, "But I have no idea who the three sisters are.  I would start searching in the Triple Triad guild.");
		
			TTX_AddNpcIntroLine(THIS_NPC, "Oh you got your gear back, I am glad!");
			TTX_AddNpcIntroLine(THIS_NPC, "Are you having any luck finding the three Triple Triad sisters?");
		end			
	end
	
	return 0;
end

function NPC_InteractionEnd( THIS_NPC )
	
	return 0
end